#!/usr/bin/env python

import libxml2
import sys

def createTextNode(spaces, pads):
	if spaces is None:
		return libxml2.newText('')
	else:
		return libxml2.newText(spaces.content + pads)

def createNode(spaces):
	name = libxml2.newNode('name')
	name.setContent('tl')

	description = libxml2.newNode('description')
	description.setContent('(TL Simgesi)')

	configItem = libxml2.newNode('configItem')
	text = createTextNode(spaces, '    ')
	configItem.addChild(text)
	configItem.addChild(name)
	text = createTextNode(spaces, '    ')
	configItem.addChild(text)
	configItem.addChild(description)
	text = createTextNode(spaces, '  ')
	configItem.addChild(text)

	variant = libxml2.newNode('variant')
	text = createTextNode(spaces, '  ')
	variant.addChild(text)
	variant.addChild(configItem)
	text = createTextNode(spaces, '')
	variant.addChild(text)

	return variant

def install(sourceFile, targetFile):
	doc = libxml2.parseFile(sourceFile)
	ctxt = doc.xpathNewContext()

	langLists = ctxt.xpathEval("/xkbConfigRegistry/layoutList/layout/configItem/languageList[iso639Id='tur']")
	langList = langLists[0]
	configItem = langList.parent

	target = configItem.next
	while target.name != 'variantList':
		target = target.next

	x = target
	target = target.children
	while target.name != 'variant':
		target = target.next

	spaces = target.prev
	node = createNode(spaces)

	comment = libxml2.newComment(' TL sembolu icin eklenen variant ')
	target.addPrevSibling(comment)
	text = createTextNode(spaces, '')
	target.addPrevSibling(text)
	target.addPrevSibling(node)
	text = createTextNode(spaces, '')
	target.addPrevSibling(text)

	f = open(targetFile, 'w')
	doc.saveTo(f)
	f.close
	doc.freeDoc()

install(sys.argv[1], sys.argv[2])
